Subject: Re: Fertilizing Perennials???

From: [email-masked] (SCWheaton)
Date: 12 Mar 1995 09:43:09 -0500

I second the previous advice on bone meal. Perennials need to have healthy
root systems and bone meal helps with this better than most other
fertilizers that emphasize nitrogen, which helps the foliage. If the
plants have healthy roots they'll produce better foliage and flowers,
resist disease better, and endure dormancy during tough winters better